Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 25-11-2022 17:23:46

jrreuze
Membre
Inscription : 25-11-2022

update impossible

Bonjour
Ayant récemment acquis un Chromebook, j'ai installé une partition Linux, mais venant d'un environnement Windows, je suis très novice dans cet environnement.Les logiciels que j'ai réussis à installer sont LibreOffice, Kmymoney, Kbackup, LuckyBackup, Kdenlive,Shotcut Depuis quelques jours lorsque je lance la commande sudo apt update, j'ai les messages d'erreurs suivants:
euze@penguin:~$ sudo apt update
Err:1 https://deb.debian.org/debian bullseye InRelease
  Could not resolve 'deb.debian.org'
Err:2 https://deb.debian.org/debian bullseye-updates InRelease
  Could not resolve 'deb.debian.org'
Err:3 https://deb.debian.org/debian-security bullseye-security InRelease
  Could not resolve 'deb.debian.org'
Err:4 https://storage.googleapis.com/cros-packages/107 bullseye InRelease
  Could not resolve 'storage.googleapis.com'
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
All packages are up to date.
W: Failed to fetch https://deb.debian.org/debian/dists/bullseye/InRelease  Could not resolve 'deb.debian.org'
W: Failed to fetch https://deb.debian.org/debian/dists/bul … /InRelease  Could not resolve 'deb.debian.org'
W: Failed to fetch https://deb.debian.org/debian-security/ … /InRelease  Could not resolve 'deb.debian.org'
W: Failed to fetch https://storage.googleapis.com/cros-pac … /InRelease  Could not resolve 'storage.googleapis.com'
W: Some index files failed to download. They have been ignored, or old ones used instead.
Mauvaise manip de ma part? Ou autre chose?
Comment supprimer ces erreurs sans devoir réinstaller la partition Linux ainsi que les logiciels ci-dessus
Merci d'avance
Cordialement

Hors ligne

#2 25-11-2022 21:03:50

raleur
Membre
Inscription : 03-10-2014

Re : update impossible

jrreuze a écrit :

Could not resolve 'deb.debian.org'


Echec de la résolution de nom -> problème réseau, rien à voir avec la gestion des paquets.


Il vaut mieux montrer que raconter.

Hors ligne

#3 26-11-2022 15:52:48

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Bonjour
Merci pour la réponse. Par contre ma connexion internet en filaire fonctionne correctement. N'étant pas spécialiste de réseau, je ne sais pas comment solutionner mon problème!!!
Cordialement

Hors ligne

#4 26-11-2022 15:57:51

raleur
Membre
Inscription : 03-10-2014

Re : update impossible

jrreuze a écrit :

ma connexion internet en filaire fonctionne correctement


C'est-à-dire ?
Ceci dit, la connectivité internet est une condition nécessaire mais non suffisante à la résolution DNS.

Dernière modification par raleur (26-11-2022 15:59:18)


Il vaut mieux montrer que raconter.

Hors ligne

#5 26-11-2022 16:11:47

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Rebonjour
N'étant pas spécialiste réseau, je pensais que du fait que je peux naviguer sur internet, je n'avais pas de problème réseau. Si je comprends bien avoir une bonne connexion internet ne veut pas dire ne pas avoir un problème réseau!!
Que dois je donc vérifier dans les paramètres réseau de mon Chromebook? J'utilise une adresse ip automatique avec un masque de sous réseau et une passerelle, un serveur de noms automatiques
Cordialement

Hors ligne

#6 26-11-2022 16:36:23

raleur
Membre
Inscription : 03-10-2014

Re : update impossible

On ne navigue pas sur internet mais sur le web. Internet et le web sont deux choses différentes. On peut visiter des sites web avec un navigateur sans avoir de connectivité internet et vice versa.
Conseil : quand on expose un problème, il vaut mieux décrire objectivement les faits qu'en livrer une interprétation toujours incomplète et souvent erronée.
"Je peux naviguer sur le web avec firefox", c'est un fait.
"Ma connexion internet fonctionne", c'est une interprétation.

Des faits, ce sont les retours des commandes suivantes par exemple :

cat /etc/resolv.conf
host deb.debian.org
ping -c 4 deb.debian.org
 


Il vaut mieux montrer que raconter.

Hors ligne

#7 26-11-2022 16:57:27

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Rebonjour
J'ai lancé la commande cat /etc/resolv.conf et voici le résultat
reuze@penguin:~$ cat /etc/resolv.conf
domain lxd
search lxd
nameserver 100.115.92.193

Que pensez de ce résultat?.
Cordialement

Hors ligne

#8 26-11-2022 17:07:04

raleur
Membre
Inscription : 03-10-2014

Re : update impossible

Rien de particulier. Et les autres commandes ?

Il vaut mieux montrer que raconter.

Hors ligne

#9 26-11-2022 17:13:11

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Rebonjour
Merci pour votre patience

Voici l'autre commande:
reuze@penguin:~$ ping -c 4 deb.debian.org
ping: deb.debian.org: Name or service not known

Cordialement

Hors ligne

#10 27-11-2022 11:15:34

raleur
Membre
Inscription : 03-10-2014

Re : update impossible

Il manque une commande. Si host n'est pas présent, installer le paquet bind9-host.

Il vaut mieux montrer que raconter.

Hors ligne

#11 27-11-2022 15:26:09

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Bonjour
J'ai tenté d'installer bind9 mais l'installation n'a pas abouti. Voir ci-dessous:

reuze@penguin:~$ sudo apt-get install -y bind9
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following additional packages will be installed:
  bind9-utils python3-ply
Suggested packages:
  bind-doc dnsutils resolvconf ufw python-ply-doc
The following NEW packages will be installed:
  bind9 bind9-utils python3-ply
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 989 kB of archives.
After this operation, 2,343 kB of additional disk space will be used.
Err:1 https://deb.debian.org/debian bullseye/main amd64 python3-ply all 3.11-4
  Could not resolve 'deb.debian.org'
Err:2 https://deb.debian.org/debian-security bullseye-security/main amd64 bind9-utils amd64 1:9.16.33-1~deb11u1
  Could not resolve 'deb.debian.org'
Err:3 https://deb.debian.org/debian-security bullseye-security/main amd64 bind9 amd64 1:9.16.33-1~deb11u1
  Could not resolve 'deb.debian.org'
E: Failed to fetch https://deb.debian.org/debian/pool/main … -4_all.deb  Could not resolve 'deb.debian.org'
E: Failed to fetch https://deb.debian.org/debian-security/ … _amd64.deb  Could not resolve 'deb.debian.org'
E: Failed to fetch https://deb.debian.org/debian-security/ … _amd64.deb  Could not resolve 'deb.debian.org'
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Cordialement

Hors ligne

#12 27-11-2022 19:23:59

raleur
Membre
Inscription : 03-10-2014

Re : update impossible

jrreuze a écrit :

J'ai tenté d'installer bind9 mais l'installation n'a pas abouti.


Evidemment puisqu'apt ne peut pas résoudre le nom d'hôte du miroir, suis-je bête...
Par contre il ne faut pas installer bind9 (le serveur DNS) mais seulement bind9-host (le programme pour faire des requêtes DNS).
Tu peux le télécharger depuis packages.debian.org et l'installer avec apt install ou dpkg -i.


Il vaut mieux montrer que raconter.

Hors ligne

#13 27-11-2022 20:34:50

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Bonsoir
Je télécharge le Deb arm64 ou adm64.
Merci pour votre aide
Cordialement

Hors ligne

#14 27-11-2022 20:43:26

raleur
Membre
Inscription : 03-10-2014

Re : update impossible

Celui qui correspond à ton architecture.

dpkg --print-architecture


Il vaut mieux montrer que raconter.

Hors ligne

#15 28-11-2022 16:48:52

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Bonjour
Décidément je suis nul, j'ai télécharger le fichier suivant bind9-dev_9.16.27-1_deb11u1_amd64.deb et lorsque je procède à l'installation, j'ai les erreurs suivantes:
reuze@penguin:~$ sudo apt-get install bind9-dev_9.16.27-1_deb11u1_amd64.deb
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
E: Unable to locate package bind9-dev_9.16.27-1_deb11u1_amd64.deb
E: Couldn't find any package by glob 'bind9-dev_9.16.27-1_deb11u1_amd64.deb'
E: Couldn't find any package by regex 'bind9-dev_9.16.27-1_deb11u1_amd64.deb'

Ensuite j'ai téléchargé, le fichier suivant: bind-libs_9.11.19+dfsg-2.1.debian.tar.xz
Avant de faire des bêtises je n'ai pas fait son installation et je vous remercie de me donner votre avis
Cordialement

Hors ligne

#16 28-11-2022 16:56:07

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Rebonjour
Dans le terminal ne  maîtrisant pas les commandes de linux, j'ai recommencé sans succès:
sudo install bind9-dev_9.16.27-1_deb11u1_amd64.deb
install: missing destination file operand after 'bind9-dev_9.16.27-1_deb11u1_amd64.deb'
Try 'install --help' for more information.

et une autre commande
sudo dpkg -i bind9-dev_9.16.27-1_deb11u1_amd64.deb
Selecting previously unselected package bind9-dev:amd64.
(Reading database ... 144707 files and directories currently installed.)
Preparing to unpack bind9-dev_9.16.27-1_deb11u1_amd64.deb ...
Unpacking bind9-dev:amd64 (1:9.16.27-1~deb11u1) ...
dpkg: dependency problems prevent configuration of bind9-dev:amd64:
bind9-dev:amd64 depends on bind9-libs (= 1:9.16.27-1~deb11u1); however:
  Version of bind9-libs:amd64 on system is 1:9.16.33-1~deb11u1.

dpkg: error processing package bind9-dev:amd64 (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
bind9-dev:amd64

Désolé de vous importuner
Cordialement

Dernière modification par jrreuze (28-11-2022 17:01:36)

Hors ligne

#17 28-11-2022 17:10:36

raleur
Membre
Inscription : 03-10-2014

Re : update impossible

Juste pour être sûr, avant de te lancer là-dedans tu as bien vérifié que la commande "host" n'était pas installée ?

apt-cache policy bind9-host
which host


Il vaut mieux montrer que raconter.

Hors ligne

#18 28-11-2022 17:17:57

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : update impossible

Bonjour,

... pour avoir ledit paquet bind9-host tu vas sur cette page :
https://packages.debian.org/bullseye/bind9-host

tu le télécharge, la bonne architecture ... bien sûr .... smile

après, tu passes root

su -



tu vas dans Téléchargements

cd /home/ton_nom_utilisateur/Téléchargements




après, tu cherche le paquet que tu viens de télécharger

ls



.. tu le trouves ... bind9-host-bidule-machin.deb
tu l'installes

dpkg -i bind9-host-bidule-machin.deb


il est plus sûr de faire un copier-coller du nom bind9-host-bidule-truc.deb pour pas faire d'erreur de frappe

Dernière modification par ubub (28-11-2022 17:24:07)

En ligne

#19 28-11-2022 17:33:51

raleur
Membre
Inscription : 03-10-2014

Re : update impossible

ubub a écrit :

pour avoir ledit paquet bind9-host tu vas sur cette page :
https://packages.debian.org/bullseye/bind9-host
tu le télécharge


Pas si simple :

jrreuze a écrit :

dpkg: dependency problems prevent configuration of bind9-dev:amd64:
bind9-dev:amd64 depends on bind9-libs (= 1:9.16.27-1~deb11u1); however:
  Version of bind9-libs:amd64 on system is 1:9.16.33-1~deb11u1.


Le problème sera le même avec bind9-host : la dernière version téléchargeable n'est pas compatible avec la version installée de bind9-libs.
Au passage, si bind9-libs est installé cela signifie qu'un paquet qui en dépend est installé. Or ces paquets ne sont pas si nombreux, et le plus probable est bind9-host.

Dernière modification par raleur (28-11-2022 21:02:49)


Il vaut mieux montrer que raconter.

Hors ligne

#20 28-11-2022 20:18:34

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Bonsoir
Merci pour votre aide
Voici le résultat des commandes pour vérifier si bind9-host est installé:

reuze@penguin:~$ apt-cache policy bind9-host
bind9-host:
  Installed: 1:9.16.33-1~deb11u1
  Candidate: 1:9.16.33-1~deb11u1
  Version table:
*** 1:9.16.33-1~deb11u1 500
        500 https://deb.debian.org/debian-security bullseye-security/main amd64 Packages
        100 /var/lib/dpkg/status
     1:9.16.27-1~deb11u1 500
        500 https://deb.debian.org/debian bullseye/main amd64 Packages
reuze@penguin:~$ which host
/usr/bin/host

Par contre lorsque je vais sur la page packages.debian et ensuite sur le ftp. debian...je ne vois que des paquets bind9 mais pas de bind9-host
Je n'ai pas installé le package bind-libs
Cordialement

Hors ligne

#21 28-11-2022 21:04:02

raleur
Membre
Inscription : 03-10-2014

Re : update impossible

Comme je le soupçonnais, bind9-host est déjà installé. Tu peux donc sans attendre exécuter la commande demandée dans mon message n° 6.

Il vaut mieux montrer que raconter.

Hors ligne

#22 29-11-2022 12:40:53

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Bonjour
Merci pour votre aide
Mais comme je vous l'ai dit je ne maîtrise pas Debian, quelle commande il faut lancer dans le terminal pour permettre à bind9-host de lancer une requête DNS?
Pour m'initier je fais la lecture du livre "Le guide se survie LINUX", mais rien en ce qui concerne  bind
Cordialement

Hors ligne

#23 30-11-2022 07:26:38

mksmn
Membre
Lieu : Ile de France
Distrib. : Debian GNU/Linux Stable (Bullseye) 11.5
Noyau : Noyau Linux 5.10.0-19-amd64
(G)UI : Xfce Desktop 4.16
Inscription : 30-06-2008

Re : update impossible

bjr,

celle proposée par raleur dans le post #6

cat /etc/resolv.conf
host deb.debian.org
ping -c 4 deb.debian.org
 

Dernière modification par mksmn (30-11-2022 07:27:57)


Debian, c'est bien!
(De retour sous Debian, soyez cool.)
Notebook ASUS X71SL intel(R) Core2Duo CPU T9600 @2.80Ghz Ram 8 Go
Debian/GNU Linux Stable 11.xx (Bullseye), XFCE 4.16, Noyau Linux 5.10.0-19-amd64

Hors ligne

#24 30-11-2022 11:42:13

jrreuze
Membre
Inscription : 25-11-2022

Re : update impossible

Bonjour
Dans mon mail du 26/11, je postais déjà les résultats à savoir:
reuze@penguin:~$ cat /etc/resolv.conf
domain lxd
search lxd
nameserver 100.115.92.193
reuze@penguin:~$ host deb.debian.org
;; connection timed out; no servers could be reached

reuze@penguin:~$ ping -c 4 deb.debian.org
ping: deb.debian.org: Temporary failure in name resolution

Merci pour votre aide
Cordialement

Hors ligne

#25 30-11-2022 16:02:13

choops
Membre
Distrib. : Debian sid
(G)UI : XFCE
Inscription : 07-05-2017

Re : update impossible

Bonjour

Ton adresse de DNS 100.115.92.193, c'est toi qui l'as renseigné dans le /etc/resolv.conf ?
Ce n'est pas une ip de DNS public. Cela laisse à penser que tu te connectes sur un réseau privé 100.115.92.0/24 ou 100.115.0.0/16 et que le DNS interrogé serait membre de ce réseau.

Vu ton contenu de /etc/resolv.conf, il n'a pas l'air d'être géré par un service.
Mais, dans le doute, que donne:

systemctl status resolvconf.service



Si ça te dit que le service resolvconf n'existe pas, ça peut valoir le coup de remplacer '100.115.92.193' par '8.8.8.8' dans /etc/resolv.conf et voir ce que ça dit:

sed 's/100.115.92.193/8.8.8.8/' -i /etc/resolv.conf
ping -c 4 deb.debian.org

Hors ligne

Pied de page des forums